Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory Class Reference

The storage engine factory. More...

## Public Member Functions
| __construct (RepositoryConfigurationProvider $repositoryConfigurationProvider)
| registerStorageEngine (PersistenceHandler $persistenceHandler, $storageEngineIdentifier)
| Registers $persistenceHandler as a valid storage engine, with identifier $storageEngineIdentifier. More...
| getStorageEngines ()
| buildStorageEngine ()
| Builds storage engine identified by $storageEngineIdentifier (the "alias" attribute in the service tag). More...

## Protected Attributes
| $storageEngines = []

## Private Attributes
| $repositoryConfigurationProvider

## Detailed Description

The storage engine factory.

Definition at line 15 of file StorageEngineFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory::__construct | ( | RepositoryConfigurationProvider | $repositoryConfigurationProvider | ) |

Definition at line 28 of file StorageEngineFactory.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory\$repositoryConfigurationProvider.

## Member Function Documentation

## ◆ buildStorageEngine()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory::buildStorageEngine | ( |  | ) |

Builds storage engine identified by $storageEngineIdentifier (the "alias" attribute in the service tag).

Exceptions

Definition at line 61 of file StorageEngineFactory.php.

## ◆ getStorageEngines()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory::getStorageEngines | ( |  | ) |

Returns
  \eZ\Publish\SPI\Persistence\Handler[]

Definition at line 49 of file StorageEngineFactory.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory\$storageEngines.

## ◆ registerStorageEngine()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory::registerStorageEngine | ( | PersistenceHandler | $persistenceHandler,
|  |  | $storageEngineIdentifier
| ) |  |

Registers $persistenceHandler as a valid storage engine, with identifier $storageEngineIdentifier.

Note: It is strongly recommenced to register a lazy persistent handler.

Parameters

  \eZ\Publish\SPI\Persistence\Handler | $persistenceHandler |
  string | $storageEngineIdentifier |

Definition at line 41 of file StorageEngineFactory.php.

## Member Data Documentation

## ◆ $repositoryConfigurationProvider

eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory::$repositoryConfigurationProvider
| private

Definition at line 18 of file StorageEngineFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory\__construct().

## ◆ $storageEngines

eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory::$storageEngines = []
| protected

Definition at line 26 of file StorageEngineFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\StorageEngineFactory\getStorageEngines().

The documentation for this class was generated from the following file:

- StorageEngineFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.